# rxfoundry.clients.p2rx-api
API for the P2RX Backend


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.DEV-0
- Package version: 1.0.0
- Generator version: 7.13.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.9+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import rxfoundry.clients.p2rx_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import rxfoundry.clients.p2rx_api
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import rxfoundry.clients.p2rx_api
from rxfoundry.clients.p2rx_api.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to /api
# See configuration.py for a list of all supported configuration parameters.
configuration = rxfoundry.clients.p2rx_api.Configuration(
    host = "/api"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (opaque): opaque_token
configuration = rxfoundry.clients.p2rx_api.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with rxfoundry.clients.p2rx_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = rxfoundry.clients.p2rx_api.AsyncApi(api_client)
    patient_activity_notification = rxfoundry.clients.p2rx_api.PatientActivityNotification() # PatientActivityNotification | 

    try:
        # Notify of an external patient activity
        api_response = api_instance.p2rx1_async_patient_activity_post(patient_activity_notification)
        print("The response of AsyncApi->p2rx1_async_patient_activity_post:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AsyncApi->p2rx1_async_patient_activity_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to */api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AsyncApi* | [**p2rx1_async_patient_activity_post**](docs/AsyncApi.md#p2rx1_async_patient_activity_post) | **POST** /p2rx/1/async/patient_activity | Notify of an external patient activity
*AsyncApi* | [**p2rx1_async_prescription_request_transfer_post**](docs/AsyncApi.md#p2rx1_async_prescription_request_transfer_post) | **POST** /p2rx/1/async/prescription/request_transfer | Create a new prescription transfer request asynchronously
*AsyncApi* | [**p2rx1_async_workflow_request_post**](docs/AsyncApi.md#p2rx1_async_workflow_request_post) | **POST** /p2rx/1/async/workflow/request | Create a new workflow request asynchronously
*CodeApi* | [**p2rx1_codes_get**](docs/CodeApi.md#p2rx1_codes_get) | **GET** /p2rx/1/codes | Get all codes for a typename
*MedicationApi* | [**p2rx1_medications_get**](docs/MedicationApi.md#p2rx1_medications_get) | **GET** /p2rx/1/medications | Get all medications
*MedicationApi* | [**p2rx1_medications_medication_uuid_get**](docs/MedicationApi.md#p2rx1_medications_medication_uuid_get) | **GET** /p2rx/1/medications/{medication_uuid} | Get a medication by UUID
*PatientApi* | [**p2rx1_patients_get**](docs/PatientApi.md#p2rx1_patients_get) | **GET** /p2rx/1/patients | Get all patients
*PatientApi* | [**p2rx1_patients_patient_uuid_get**](docs/PatientApi.md#p2rx1_patients_patient_uuid_get) | **GET** /p2rx/1/patients/{patient_uuid} | Get patient by uuid
*PatientApi* | [**p2rx1_patients_patient_uuid_pharmacies_get**](docs/PatientApi.md#p2rx1_patients_patient_uuid_pharmacies_get) | **GET** /p2rx/1/patients/{patient_uuid}/pharmacies | Get pharmacies near a patient
*PharmacistApi* | [**p2rx1_pharmacists_get**](docs/PharmacistApi.md#p2rx1_pharmacists_get) | **GET** /p2rx/1/pharmacists | Get all pharmacists
*PharmacistApi* | [**p2rx1_pharmacists_pharmacist_id_get**](docs/PharmacistApi.md#p2rx1_pharmacists_pharmacist_id_get) | **GET** /p2rx/1/pharmacists/{pharmacist_id} | Get a pharmacist by UUID or NPI
*PharmacyApi* | [**p2rx1_pharmacies_get**](docs/PharmacyApi.md#p2rx1_pharmacies_get) | **GET** /p2rx/1/pharmacies | Get all pharmacies
*PharmacyApi* | [**p2rx1_pharmacies_pharmacy_id_get**](docs/PharmacyApi.md#p2rx1_pharmacies_pharmacy_id_get) | **GET** /p2rx/1/pharmacies/{pharmacy_id} | Get a pharmacy by UUID or NPI
*PrescriberApi* | [**p2rx1_prescribers_get**](docs/PrescriberApi.md#p2rx1_prescribers_get) | **GET** /p2rx/1/prescribers | Get all prescribers
*PrescriberApi* | [**p2rx1_prescribers_prescriber_id_get**](docs/PrescriberApi.md#p2rx1_prescribers_prescriber_id_get) | **GET** /p2rx/1/prescribers/{prescriber_id} | Get a prescriber by UUID or NPI
*PrescriptionApi* | [**p2rx1_prescriptions_get**](docs/PrescriptionApi.md#p2rx1_prescriptions_get) | **GET** /p2rx/1/prescriptions | Get all prescriptions
*PrescriptionApi* | [**p2rx1_prescriptions_prescription_id_change_requests_get**](docs/PrescriptionApi.md#p2rx1_prescriptions_prescription_id_change_requests_get) | **GET** /p2rx/1/prescriptions/{prescription_id}/change_requests | Get a list of prescription change requests
*PrescriptionApi* | [**p2rx1_prescriptions_prescription_id_change_requests_post**](docs/PrescriptionApi.md#p2rx1_prescriptions_prescription_id_change_requests_post) | **POST** /p2rx/1/prescriptions/{prescription_id}/change_requests | Create a new prescription change request
*PrescriptionApi* | [**p2rx1_prescriptions_prescription_id_get**](docs/PrescriptionApi.md#p2rx1_prescriptions_prescription_id_get) | **GET** /p2rx/1/prescriptions/{prescription_id} | Get a prescription by UUID or RxNumber
*PrescriptionApi* | [**p2rx1_prescriptions_prescription_id_patch**](docs/PrescriptionApi.md#p2rx1_prescriptions_prescription_id_patch) | **PATCH** /p2rx/1/prescriptions/{prescription_id} | Update a prescription by UUID or RxNumber.  Only \&quot;patchable\&quot; fields can be updated.
*PrescriptionApi* | [**p2rx1_prescriptions_prescription_id_pv_post**](docs/PrescriptionApi.md#p2rx1_prescriptions_prescription_id_pv_post) | **POST** /p2rx/1/prescriptions/{prescription_id}/pv | Create a new prescription verification setting
*TokenApi* | [**get_token_for_token**](docs/TokenApi.md#get_token_for_token) | **POST** /p2rx/1/token | Get a delegated token based upon an already authorized token
*UserApi* | [**get_users**](docs/UserApi.md#get_users) | **GET** /p2rx/1/users | Get one or more users
*VersionApi* | [**p2rx1_version_get**](docs/VersionApi.md#p2rx1_version_get) | **GET** /p2rx/1/version | Get the api version
*VirtualPharmacyApi* | [**p2rx1_virtual_pharmacies_get**](docs/VirtualPharmacyApi.md#p2rx1_virtual_pharmacies_get) | **GET** /p2rx/1/virtual_pharmacies | Get all virtual pharmacies


## Documentation For Models

 - [Address](docs/Address.md)
 - [AsynchronousResponse](docs/AsynchronousResponse.md)
 - [Code](docs/Code.md)
 - [CodeQualifierCode](docs/CodeQualifierCode.md)
 - [ErrorMessage](docs/ErrorMessage.md)
 - [Medication](docs/Medication.md)
 - [MedicationProgramPricing](docs/MedicationProgramPricing.md)
 - [MedicationVariant](docs/MedicationVariant.md)
 - [Patient](docs/Patient.md)
 - [PatientActivityNotification](docs/PatientActivityNotification.md)
 - [PatientExternalIdentifier](docs/PatientExternalIdentifier.md)
 - [Pharmacist](docs/Pharmacist.md)
 - [Pharmacy](docs/Pharmacy.md)
 - [PharmacyChain](docs/PharmacyChain.md)
 - [PharmacyOtherIdentifier](docs/PharmacyOtherIdentifier.md)
 - [PharmacyProgramPricing](docs/PharmacyProgramPricing.md)
 - [Prescriber](docs/Prescriber.md)
 - [Prescription](docs/Prescription.md)
 - [PrescriptionChangeRequest](docs/PrescriptionChangeRequest.md)
 - [PrescriptionIssue](docs/PrescriptionIssue.md)
 - [PrescriptionPatch](docs/PrescriptionPatch.md)
 - [PrescriptionTask](docs/PrescriptionTask.md)
 - [PrescriptionTaskStatus](docs/PrescriptionTaskStatus.md)
 - [PrescriptionTransferRequest](docs/PrescriptionTransferRequest.md)
 - [PrescriptionVerification](docs/PrescriptionVerification.md)
 - [PricingProgram](docs/PricingProgram.md)
 - [SurescriptsMessage](docs/SurescriptsMessage.md)
 - [Token](docs/Token.md)
 - [User](docs/User.md)
 - [Version](docs/Version.md)
 - [VirtualPharmacy](docs/VirtualPharmacy.md)
 - [WorkflowRequest](docs/WorkflowRequest.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="opaque_token"></a>
### opaque_token

- **Type**: Bearer authentication (opaque)


## Author

paul.tindall@rxfoundry.com


